Try ERPNext Buy Support Partners Foundation

Database error pymysql.err.OperationalError: (1054, "Unknown column 'gcalendar_sync_id' in 'field list'")

Creating new site is impossible now as the below error keeps on coming in terminal

pymysql.err.OperationalError: (1054, “Unknown column ‘gcalendar_sync_id’ in ‘field list’”)

Any help on how to fix this issue?
Tried bench migrate, bench build, clear cache and website clear cache.
After going through the forum, i did bench update (patch and requirements).
But, that didn’t stop from throwing the errors.
Any help to fix this.

Unable to create a site from 2 days after this pymysql.err.OperationalError: (1054, “Unknown column ‘gcalendar_sync_id’ in ‘field list’”) error keeps coming.

THANKS IN ADVANCE!

Do you have any custom apps? If so, uninstall them, do your update, and then re-install

Thanks for the reply.

Yes indeed, I have one custom app.
I tried three scenarios for installation:

Scenario 1:

  1. bench init frappe (already frappe app comes during init)
  2. get all apps (erpnext, bdtheme, custom_app_1)
  3. create a new site.
    At this point, I get error saying " pymysql.err.OperationalError: (1054, “Unknown column ‘gcalendar_sync_id’ in ‘field list’”) "

Scenario 2:

  1. bench init frappe
  2. create new site
    At this point, I get error saying " pymysql.err.OperationalError: (1054, “Unknown column ‘gcalendar_sync_id’ in ‘field list’”) "

Scenario 3:

  1. bench init frappe
  2. get only erpnext app
  3. create new site
    At this point, I get error saying " pymysql.err.OperationalError: (1054, “Unknown column ‘gcalendar_sync_id’ in ‘field list’”) "

Any help from the forum please.
Issue: " pymysql.err.OperationalError: (1054, “Unknown column ‘gcalendar_sync_id’ in ‘field list’”) "

Waiting for this answer from almost past 2 weeks.
Please any kind of help is most welcome.

Version used is:
erpnext 11.1.49
frappe 11.1.61

Thanks in advance!!!

Try

bench update --patch
bench migrate

I have modified frappe slightly as per my requirement.
I stored modified frappe app on my different repository.
Now, “bench init --frappe-path [Path-to-my-repository]” fetches frappe app completely without any glitches.

But, when i try to create site, the database error
Database error pymysql.err.OperationalError: (1054, “Unknown column ‘gcalendar_sync_id’ in ‘field list’
ruins the entire operation.

Hi, anyone in forum please help me fix this issue.
Lost an entire fortnight fixing this.
Thanks in advance for any help.

If you have customised frappe, then standard items will not work as standard. The system does work with no custom apps, so the problem lies in your customisation, and not in the frappe app.

Thanks for the reply.

So, now i was trying to get fresh instance for frappe(no customizations from my side) from github.

During bench init, i got a new error. Thought of sharing it with forum for any possible help.
error /home/user/gitfrappe/apps/frappe/node_modules/node-sass: Command failed.
Exit code: 1

Will share complete trace back if required.

Thank you.
Please help me close this issue.

If you share it, I’m sure that someone here will be able to help

Folks,
Here i am sharing traceback which has issues in it.
Please have a look,

Thanks in advance!!!

bench init --frappe-branch master --frappe-path https://github.com/frappe/frappe.git gitfrappe
WARN: Command not being executed in bench directory
$ /usr/local/bin/virtualenv -q env -p python3
Already using interpreter /usr/bin/python3
$ ./env/bin/pip install -q -U -e gitfrappe/apps/frappe
ERROR: gitfrappe/apps/frappe is not a valid editable requirement. It should either be a path to a local project or a VCS URL (beginning with svn+, git+, hg+, or bzr+).
INFO:bench.app:Getting app frappe
$ git clone https://github.com/frappe/frappe.git --branch master --depth 1 --origin upstream
Cloning into ‘frappe’…
remote: Enumerating objects: 2331, done.
remote: Counting objects: 100% (2331/2331), done.
remote: Compressing objects: 100% (2186/2186), done.
remote: Total 2331 (delta 357), reused 857 (delta 99), pack-reused 0
Receiving objects: 100% (2331/2331), 11.42 MiB | 856.00 KiB/s, done.
Resolving deltas: 100% (357/357), done.
INFO:bench.app:installing frappe
$ gitfrappe/env/bin/pip install -q -U -e gitfrappe/apps/frappe
Updating node packages…
$ yarn install
yarn install v1.22.4
[1/4] Resolving packages…
[2/4] Fetching packages…
[3/4] Linking dependencies…
warning “rollup-plugin-vue > @vue/component-compiler@3.4.4” has unmet peer dependency “postcss@>=6.0”.
[4/4] Building fresh packages…
[1/2] ⢀ uws
error /home/user/gitfrappe/apps/frappe/node_modules/node-sass: Command failed.
Exit code: 1
Command: node scripts/build.js
Arguments:
Directory: /home/user/gitfrappe/apps/frappe/node_modules/node-sass
Output:
Building: /usr/bin/node /home/user/gitfrappe/apps/frappe/node_modules/node-gyp/bin/node-gyp.js rebuild --verbose --libsass_ext= --libsass_cflags= --libsass_ldflags= --libsass_library=
gyp info it worked if it ends with ok
gyp verb cli [
gyp verb cli ‘/usr/bin/node’,
gyp verb cli ‘/home/user/gitfrappe/apps/frappe/node_modules/node-gyp/bin/node-gyp.js’,
gyp verb cli ‘rebuild’,
gyp verb cli ‘–verbose’,
gyp verb cli ‘–libsass_ext=’,
gyp verb cli ‘–libsass_cflags=’,
gyp verb cli ‘–libsass_ldflags=’,
gyp verb cli ‘–libsass_library=’
gyp verb cli ]
gyp info using node-gyp@3.6.2
gyp info using node@12.18.4 | linux | x64
gyp verb command rebuild []
gyp verb command clean []
gyp verb clean removing “build” directory
gyp verb command configure []
gyp verb check python checking for Python executable “python2” in the PATH
gyp verb which succeeded python2 /usr/bin/python2
gyp verb check python version /usr/bin/python2 -c "import platform; print(platform.python_version());" returned: “2.7.17\n”
gyp verb get node dir no --target version specified, falling back to host node version: 12.18.4
gyp verb command install [ ‘12.18.4’ ]
gyp verb install input version string “12.18.4”
gyp verb install installing version: 12.18.4
gyp verb install --ensure was passed, so won’t reinstall if already installed
gyp verb install version is already installed, need to check “installVersion”
gyp verb got “installVersion” 9
gyp verb needs “installVersion” 9
gyp verb install version is good
gyp verb get node dir target node version installed: 12.18.4
gyp verb build dir attempting to create “build” dir: /home/user/gitfrappe/apps/frappe/node_modules/node-sass/build
gyp verb build dir “build” dir needed to be created? /home/user/gitfrappe/apps/frappe/node_modules/node-sass/build
gyp verb build/config.gypi creating config file
gyp verb build/config.gypi writing out config file: /home/user/gitfrappe/apps/frappe/node_modules/node-sass/build/config.gypi
gyp verb config.gypi checking for gypi file: /home/user/gitfrappe/apps/frappe/node_modules/node-sass/config.gypi
gyp verb common.gypi checking for gypi file: /home/user/gitfrappe/apps/frappe/node_modules/node-sass/common.gypi
gyp verb gyp gyp format was not specified; forcing “make”
gyp info spawn /usr/bin/python2
gyp info spawn args [
gyp info spawn args ‘/home/user/gitfrappe/apps/frappe/node_modules/node-gyp/gyp/gyp_main.py’,
gyp info spawn args ‘binding.gyp’,
gyp info spawn args ‘-f’,
gyp info spawn args ‘make’,
gyp info spawn args ‘-I’,
gyp info spawn args ‘/home/user/gitfrappe/apps/frappe/node_modules/node-sass/build/config.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args ‘/home/user/gitfrappe/apps/frappe/node_modules/node-gyp/addon.gypi’,
gyp info spawn args ‘-I’,
gyp info spawn args ‘/home/user/.node-gyp/12.18.4/include/node/common.gypi’,
gyp info spawn args ‘-Dlibrary=shared_library’,
gyp info spawn args ‘-Dvisibility=default’,
gyp info spawn args ‘-Dnode_root_dir=/home/user/.node-gyp/12.18.4’,
gyp info spawn args ‘-Dnode_gyp_dir=/home/user/gitfrappe/apps/frappe/node_modules/node-gyp’,
gyp info spawn args ‘-Dnode_lib_file=/home/user/.node-gyp/12.18.4/<(target_arch)/node.lib’,
gyp info spawn args ‘-Dmodule_root_dir=/home/user/gitfrappe/apps/frappe/node_modules/node-sass’,
gyp info spawn args ‘-Dnode_engine=v8’,
gyp info spawn args ‘–depth=.’,
gyp info spawn args ‘–no-parallel’,
gyp info spawn args ‘–generator-output’,
gyp info spawn args ‘build’,
gyp info spawn args ‘-Goutput_dir=.’
gyp info spawn args ]
gyp verb command build []
gyp verb build type Release
gyp verb architecture x64
gyp verb node dev dir /home/user/.node-gyp/12.18.4
gyp verb which succeeded for make /usr/bin/make
gyp info spawn make
gyp info spawn args [ ‘V=1’, ‘BUILDTYPE=Release’, ‘-C’, ‘build’ ]
make: Entering directory ‘/home/user/gitfrappe/apps/frappe/node_modules/node-sass/build’
g++ ‘-DNODE_GYP_MODULE_NAME=libsass’ ‘-DUSING_UV_SHARED=1’ ‘-DUSING_V8_SHARED=1’ ‘-DV8_DEPRECATION_WARNINGS=1’ ‘-DV8_DEPRECATION_WARNINGS’ ‘-DV8_IMMINENT_DEPRECATION_WARNINGS’ ‘-D_LARGEFILE_SOURCE’ ‘-D_FILE_OFFSET_BITS=64’ ‘-D__STDC_FORMAT_MACROS’ ‘-DOPENSSL_NO_PINSHARED’ ‘-DOPENSSL_THREADS’ ‘-DLIBSASS_VERSION=“3.5.4”’ -I/home/user/.node-gyp/12.18.4/include/node -I/home/user/.node-gyp/12.18.4/src -I/home/user/.node-gyp/12.18.4/deps/uv/include -I/home/user/.node-gyp/12.18.4/deps/v8/include -I…/src/libsass/include -fPIC -pthread -Wall -Wextra -Wno-unused-parameter -m64 -O3 -fno-omit-frame-pointer -std=gnu++1y -std=c++0x -fexceptions -frtti -MMD -MF ./Release/.deps/Release/obj.target/libsass/src/libsass/src/ast.o.d.raw -c -o Release/obj.target/libsass/src/libsass/src/ast.o …/src/libsass/src/ast.cpp
rm -f Release/obj.target/src/sass.a && ar crs Release/obj.target/src/sass.a Release/obj.target/libsass/src/libsass/src/ast.o Release/obj.target/libsass/src/libsass/src/ast_fwd_decl.o Release/obj.target/libsass/src/libsass/src/backtrace.o Release/obj.target/libsass/src/libsass/src/base64vlq.o Release/obj.target/libsass/src/libsass/src/bind.o Release/obj.target/libsass/src/libsass/src/cencode.o Release/obj.target/libsass/src/libsass/src/check_nesting.o Release/obj.target/libsass/src/libsass/src/color_maps.o Release/obj.target/libsass/src/libsass/src/constants.o Release/obj.target/libsass/src/libsass/src/context.o Release/obj.target/libsass/src/libsass/src/cssize.o Release/obj.target/libsass/src/libsass/src/emitter.o Release/obj.target/libsass/src/libsass/src/environment.o Release/obj.target/libsass/src/libsass/src/error_handling.o Release/obj.target/libsass/src/libsass/src/eval.o Release/obj.target/libsass/src/libsass/src/expand.o Release/obj.target/libsass/src/libsass/src/extend.o Release/obj.target/libsass/src/libsass/src/file.o Release/obj.target/libsass/src/libsass/src/functions.o Release/obj.target/libsass/src/libsass/src/inspect.o Release/obj.target/libsass/src/libsass/src/json.o Release/obj.target/libsass/src/libsass/src/lexer.o Release/obj.target/libsass/src/libsass/src/listize.o Release/obj.target/libsass/src/libsass/src/memory/SharedPtr.o Release/obj.target/libsass/src/libsass/src/node.o Release/obj.target/libsass/src/libsass/src/operators.o Release/obj.target/libsass/src/libsass/src/output.o Release/obj.target/libsass/src/libsass/src/parser.o Release/obj.target/libsass/src/libsass/src/plugins.o Release/obj.target/libsass/src/libsass/src/position.o Release/obj.target/libsass/src/libsass/src/prelexer.o Release/obj.target/libsass/src/libsass/src/remove_placeholders.o Release/obj.target/libsass/src/libsass/src/sass.o Release/obj.target/libsass/src/libsass/src/sass2scss.o Release/obj.target/libsass/src/libsass/src/sass_context.o Release/obj.target/libsass/src/libsass/src/sass_functions.o Release/obj.target/libsass/src/libsass/src/sass_util.o Release/obj.target/libsass/src/libsass/src/sass_values.o Release/obj.target/libsass/src/libsass/src/source_map.o Release/obj.target/libsass/src/libsass/src/subset_map.o Release/obj.target/libsass/src/libsass/src/to_c.o Release/obj.target/libsass/src/libsass/src/to_value.o Release/obj.target/libsass/src/libsass/src/units.o Release/obj.target/libsass/src/libsass/src/utf8_string.o Release/obj.target/libsass/src/libsass/src/util.o Release/obj.target/libsass/src/libsass/src/values.o
rm -rf “Release/sass.a” && cp -af “Release/obj.target/src/sass.a” “Release/sass.a”
g++ ‘-DNODE_GYP_MODULE_NAME=binding’ ‘-DUSING_UV_SHARED=1’ ‘-DUSING_V8_SHARED=1’ ‘-DV8_DEPRECATION_WARNINGS=1’ ‘-DV8_DEPRECATION_WARNINGS’ ‘-DV8_IMMINENT_DEPRECATION_WARNINGS’ ‘-D_LARGEFILE_SOURCE’ ‘-D_FILE_OFFSET_BITS=64’ ‘-D__STDC_FORMAT_MACROS’ ‘-DOPENSSL_NO_PINSHARED’ ‘-DOPENSSL_THREADS’ ‘-DBUILDING_NODE_EXTENSION’ -I/home/user/.node-gyp/12.18.4/include/node -I/home/user/.node-gyp/12.18.4/src -I/home/user/.node-gyp/12.18.4/deps/uv/include -I/home/user/.node-gyp/12.18.4/deps/v8/include -I…/…/nan -I…/src/libsass/include -fPIC -pthread -Wall -Wextra -Wno-unused-parameter -m64 -O3 -fno-omit-frame-pointer -fno-rtti -fno-exceptions -std=gnu++1y -std=c++0x -MMD -MF ./Release/.deps/Release/obj.target/binding/src/binding.o.d.raw -c -o Release/obj.target/binding/src/binding.o …/src/binding.cpp
In file included from …/…/nan/nan_converters.h:67:0,
from …/…/nan/nan.h:202,
from …/src/binding.cpp:1:
…/…/nan/nan_converters_43_inl.h: In static member function ‘static Nan::imp::ToFactoryBasev8::Boolean::return_t Nan::imp::ToFactoryv8::Boolean::convert(v8::Localv8::Value)’:
…/…/nan/nan_converters_43_inl.h:18:51: warning: ‘v8::MaybeLocalv8::Boolean v8::Value::ToBoolean(v8::Localv8::Context) const’ is deprecated: ToBoolean can never throw. Use Local version. [-Wdeprecated-declarations]
val->To ## TYPE(isolate->GetCurrentContext())
^
…/…/nan/nan_converters_43_inl.h:22:1: note: in expansion of macro ‘X’
X(Boolean)
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:2664:59: note: declared here
V8_WARN_UNUSED_RESULT MaybeLocal ToBoolean(
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/…/nan/nan_converters.h:67:0,
from …/…/nan/nan.h:202,
from …/src/binding.cpp:1:
…/…/nan/nan_converters_43_inl.h: In static member function ‘static Nan::imp::ValueFactoryBase::return_t Nan::imp::ToFactory::convert(v8::Localv8::Value)’:
…/…/nan/nan_converters_43_inl.h:37:57: warning: ‘v8::Maybe v8::Value::BooleanValue(v8::Localv8::Context) const’ is deprecated: BooleanValue can never throw. Use Isolate version. [-Wdeprecated-declarations]
return val->NAME ## Value(isolate->GetCurrentContext());
^
…/…/nan/nan_converters_43_inl.h:40:1: note: in expansion of macro ‘X’
X(bool, Boolean)
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:2702:51: note: declared here
V8_WARN_UNUSED_RESULT Maybe BooleanValue(
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/…/nan/nan_new.h:189:0,
from …/…/nan/nan.h:203,
from …/src/binding.cpp:1:
…/…/nan/nan_implementation_12_inl.h: In static member function ‘static Nan::imp::FactoryBasev8::Function::return_t Nan::imp::Factoryv8::Function::New(Nan::FunctionCallback, v8::Localv8::Value)’:
…/…/nan/nan_implementation_12_inl.h:105:32: error: no matching function for call to ‘v8::Function::New(v8::Isolate*&, void (&)(const v8::FunctionCallbackInfov8::Value&), v8::Localv8::Object&)’
, obj));
^
In file included from /home/user/.node-gyp/12.18.4/include/node/node.h:67:0,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:4275:31: note: candidate: static v8::MaybeLocalv8::Function v8::Function::New(v8::Localv8::Context, v8::FunctionCallback, v8::Localv8::Value, int, v8::ConstructorBehavior, v8::SideEffectType)
static MaybeLocal New(
^~~
/home/user/.node-gyp/12.18.4/include/node/v8.h:4275:31: note: no known conversion for argument 1 from ‘v8::Isolate*’ to ‘v8::Localv8::Context
In file included from …/…/nan/nan_new.h:189:0,
from …/…/nan/nan.h:203,
from …/src/binding.cpp:1:
…/…/nan/nan_implementation_12_inl.h: In static member function ‘static Nan::imp::FactoryBasev8::StringObject::return_t Nan::imp::Factoryv8::StringObject::New(v8::Localv8::String)’:
…/…/nan/nan_implementation_12_inl.h:337:37: error: no matching function for call to ‘v8::StringObject::New(v8::Localv8::String&)’
return v8::StringObject::New(value).Asv8::StringObject();
^
In file included from /home/user/.node-gyp/12.18.4/include/node/node.h:67:0,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:5531:23: note: candidate: static v8::Localv8::Value v8::StringObject::New(v8::Isolate*, v8::Localv8::String)
static Local New(Isolate* isolate, Local value);
^~~
/home/user/.node-gyp/12.18.4/include/node/v8.h:5531:23: note: candidate expects 2 arguments, 1 provided
In file included from …/…/nan/nan_new.h:189:0,
from …/…/nan/nan.h:203,
from …/src/binding.cpp:1:
…/…/nan/nan_implementation_12_inl.h:337:58: error: expected primary-expression before ‘>’ token
return v8::StringObject::New(value).Asv8::StringObject();
^
…/…/nan/nan_implementation_12_inl.h:337:60: error: expected primary-expression before ‘)’ token
return v8::StringObject::New(value).Asv8::StringObject();
^
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In constructor ‘Nan::Utf8String::Utf8String(v8::Localv8::Value)’:
…/…/nan/nan.h:1034:53: error: no matching function for call to ‘v8::Value::ToString()’
v8::Localv8::String string = from->ToString();
^
In file included from /home/user/.node-gyp/12.18.4/include/node/node.h:67:0,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:2668:44: note: candidate: v8::MaybeLocalv8::String v8::Value::ToString(v8::Localv8::Context) const
V8_WARN_UNUSED_RESULT MaybeLocal ToString(
^~~~~~~~
/home/user/.node-gyp/12.18.4/include/node/v8.h:2668:44: note: candidate expects 1 argument, 0 provided
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:2684:31: note: candidate: v8::Localv8::String v8::Value::ToString(v8::Isolate*) const
Local ToString(Isolate* isolate) const);
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
/home/user/.node-gyp/12.18.4/include/node/v8.h:2684:31: note: candidate expects 1 argument, 0 provided
Local ToString(Isolate* isolate) const);
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h:1044:74: error: no matching function for call to ‘v8::String::WriteUtf8(char*&, int, int, const int&)’
length_ = string->WriteUtf8(str_, static_cast(len), 0, flags);
^
In file included from /home/user/.node-gyp/12.18.4/include/node/node.h:67:0,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:2878:7: note: candidate: int v8::String::WriteUtf8(v8::Isolate*, char*, int, int*, int) const
int WriteUtf8(Isolate* isolate, char* buffer, int length = -1,
^~~~~~~~~
/home/user/.node-gyp/12.18.4/include/node/v8.h:2878:7: note: no known conversion for argument 1 from ‘char*’ to ‘v8::Isolate*’
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In member function ‘void Nan::AsyncWorker::SaveToPersistent(const char*, const v8::Localv8::Value&)’:
…/…/nan/nan.h:1818:64: warning: ‘bool v8::Object::Set(v8::Localv8::Value, v8::Localv8::Value)’ is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Set(New(key).ToLocalChecked(), value);
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:3499:22: note: declared here
bool Set(Local key, Local value));
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In member function ‘void Nan::AsyncWorker::SaveToPersistent(const v8::Localv8::String&, const v8::Localv8::Value&)’:
…/…/nan/nan.h:1824:42: warning: ‘bool v8::Object::Set(v8::Localv8::Value, v8::Localv8::Value)’ is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Set(key, value);
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:3499:22: note: declared here
bool Set(Local key, Local value));
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In member function ‘void Nan::AsyncWorker::SaveToPersistent(uint32_t, const v8::Localv8::Value&)’:
…/…/nan/nan.h:1830:44: warning: ‘bool v8::Object::Set(uint32_t, v8::Localv8::Value)’ is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Set(index, value);
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:3508:22: note: declared here
bool Set(uint32_t index, Local value));
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In member function ‘v8::Localv8::Value Nan::AsyncWorker::GetFromPersistent(const char*) const’:
…/…/nan/nan.h:1836:61: warning: ‘v8::Localv8::Value v8::Object::Get(v8::Localv8::Value)’ is deprecated: Use maybe version [-Wdeprecated-declarations]
New(persistentHandle)->Get(New(key).ToLocalChecked()));
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:3553:51: note: declared here
V8_DEPRECATED(“Use maybe version”, Local Get(Local key));
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In member function ‘v8::Localv8::Value Nan::AsyncWorker::GetFromPersistent(const v8::Localv8::String&) const’:
…/…/nan/nan.h:1842:55: warning: ‘v8::Localv8::Value v8::Object::Get(v8::Localv8::Value)’ is deprecated: Use maybe version [-Wdeprecated-declarations]
return scope.Escape(New(persistentHandle)->Get(key));
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:3553:51: note: declared here
V8_DEPRECATED(“Use maybe version”, Local Get(Local key));
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In member function ‘v8::Localv8::Value Nan::AsyncWorker::GetFromPersistent(uint32_t) const’:
…/…/nan/nan.h:1847:57: warning: ‘v8::Localv8::Value v8::Object::Get(uint32_t)’ is deprecated: Use maybe version [-Wdeprecated-declarations]
return scope.Escape(New(persistentHandle)->Get(index));
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:3557:51: note: declared here
V8_DEPRECATED(“Use maybe version”, Local Get(uint32_t index));
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from /usr/include/c++/7/cassert:44:0,
from /home/user/.node-gyp/12.18.4/include/node/node_object_wrap.h:26,
from …/…/nan/nan.h:53,
from …/src/binding.cpp:1:
…/…/nan/nan_object_wrap.h: In destructor ‘virtual Nan::ObjectWrap::~ObjectWrap()’:
…/…/nan/nan_object_wrap.h:24:25: error: ‘class Nan::Persistentv8::Object’ has no member named ‘IsNearDeath’
assert(persistent().IsNearDeath());
^
In file included from …/…/nan/nan.h:2657:0,
from …/src/binding.cpp:1:
…/…/nan/nan_object_wrap.h: In member function ‘void Nan::ObjectWrap::MakeWeak()’:
…/…/nan/nan_object_wrap.h:67:34: warning: ‘void v8::PersistentBase::MarkIndependent() [with T = v8::Object]’ is deprecated: Weak objects are always considered independent. Use TracedGlobal when trying to use EmbedderHeapTracer. Use a strong handle when trying to keep an object alive. [-Wdeprecated-declarations]
persistent().MarkIndependent();
^
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:570:22: note: declared here
V8_INLINE void MarkIndependent());
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
In file included from /usr/include/c++/7/cassert:44:0,
from /home/user/.node-gyp/12.18.4/include/node/node_object_wrap.h:26,
from …/…/nan/nan.h:53,
from …/src/binding.cpp:1:
…/…/nan/nan_object_wrap.h: In static member function ‘static void Nan::ObjectWrap::WeakCallback(const v8::WeakCallbackInfoNan::ObjectWrap&)’:
…/…/nan/nan_object_wrap.h:124:26: error: ‘class Nan::Persistentv8::Object’ has no member named ‘IsNearDeath’
assert(wrap->handle_.IsNearDeath());
^
In file included from …/src/binding.cpp:1:0:
…/…/nan/nan.h: In instantiation of ‘void Nan::imp::SetMethodAux(T, v8::Localv8::String, v8::Localv8::FunctionTemplate, …) [with T = v8::Localv8::Object]’:
…/…/nan/nan.h:2353:20: required from ‘void Nan::SetMethod(HandleType, const char*, Nan::FunctionCallback) [with T = v8::Object; HandleType = v8::Local; Nan::FunctionCallback = void (*)(const Nan::FunctionCallbackInfov8::Value&)]’
…/src/binding.cpp:351:42: required from here
…/…/nan/nan.h:2337:3: warning: ‘bool v8::Object::Set(v8::Localv8::Value, v8::Localv8::Value)’ is deprecated: Use maybe version [-Wdeprecated-declarations]
recv->Set(name, GetFunction(tpl).ToLocalChecked());
^~~~
In file included from /home/user/.node-gyp/12.18.4/include/node/v8-internal.h:14:0,
from /home/user/.node-gyp/12.18.4/include/node/v8.h:27,
from /home/user/.node-gyp/12.18.4/include/node/node.h:67,
from …/…/nan/nan.h:51,
from …/src/binding.cpp:1:
/home/user/.node-gyp/12.18.4/include/node/v8.h:3499:22: note: declared here
bool Set(Local key, Local value));
^
/home/user/.node-gyp/12.18.4/include/node/v8config.h:328:3: note: in definition of macro ‘V8_DEPRECATED’
declarator attribute((deprecated(message)))
^~~~~~~~~~
binding.target.mk:125: recipe for target ‘Release/obj.target/binding/src/binding.o’ failed
make: *** [Release/obj.target/binding/src/binding.o] Error 1
make: Leaving directory ‘/home/user/gitfrappe/apps/frappe/node_modules/node-sass/build’
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/home/user/gitfrappe/apps/frappe/node_modules/node-gyp/lib/build.js:258:23)
gyp ERR! stack at ChildProcess.emit (events.js:315:20)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
gyp ERR! System Linux 4.15.0-118-generic
gyp ERR! command “/usr/bin/node” “/home/user/gitfrappe/apps/frappe/node_modules/node-gyp/bin/node-gyp.js” “rebuild” “–verbose” “–libsass_ext=” “–libsass_cflags=” “–libsass_ldflags=” “–libsass_library=”
gyp ERR! cwd /home/user/gitfrappe/apps/frappe/node_modules/node-sass
gyp ERR! node -v v12.18.4
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok
Build failed with error code: 1

$ bench build
yarn run v1.22.4
$ FRAPPE_ENV=production node rollup/build.js
Production mode
:heavy_check_mark: Built js/moment-bundle.min.js
:heavy_check_mark: Built js/libs.min.js

Building frappe assets…

:heavy_check_mark: Built js/print_format_v3.min.js
:heavy_check_mark: Built js/dialog.min.js
:heavy_check_mark: Built js/web_form.min.js
:heavy_check_mark: Built js/form.min.js
:heavy_check_mark: Built js/list.min.js
:heavy_check_mark: Built js/chat.js
:heavy_check_mark: Built js/desk.min.js
:heavy_check_mark: Built css/frappe-rtl.css
:heavy_check_mark: Built css/report.min.css
:heavy_check_mark: Built css/list.min.css
:heavy_check_mark: Built css/form.min.css
:heavy_check_mark: Built css/module.min.css
:heavy_check_mark: Built frappe/css/email.css
:heavy_check_mark: Built css/web_form.css
:heavy_check_mark: Built css/frappe-web.css
:heavy_check_mark: Built css/desk.min.css
:heavy_check_mark: Built js/control.min.js
:heavy_check_mark: Built js/frappe-web.min.js
:heavy_check_mark: Built js/report.min.js
:sparkles: Done in 24.236s
Done in 25.04s.
INFO:bench.utils:setting up backups
SUCCESS: Bench gitfrappe initialized

The only thing I can see in there, is a possibility of a residual node 8 installation. Maybe try uninstalling that - or uninstall node completely, and then reinstall v12

Thanks , will uninstall “node” completely and install node v12 it once again.
As of now, I am sharing my version details.

ubuntu@user:~/gitfrappe$ node -v
v12.18.4

ubuntu@user:~/gitfrappe$ npm -v
6.14.6

Thanks.

Hi Folks,
Reinstalled the entire Operating System Ubuntu.
But, honestly it didn’t solve my issue.
Going through a critical phase.
Please need help on urgent basis.

Thanks in advance.

Version 11?